Bug 177167 - Review Request: perl-Digest-MD4 - Perl interface to the MD4 Algorithm
Summary: Review Request: perl-Digest-MD4 - Perl interface to the MD4 Algorithm
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-01-06 20:27 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 16:24:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-01-06 20:27:01 UTC
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Digest-MD4.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Digest-MD4-1.5-1.src.rpm

Description:
The Digest::MD4 module allows you to use the RSA Data Security
Inc. MD4 Message Digest algorithm from within Perl programs.  The
algorithm takes as input a message of arbitrary length and produces as
output a 128-bit "fingerprint" or "message digest" of the input.

Comment 1 Paul Howarth 2006-01-07 12:44:36 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- no explicit buildrequires present nor needed
- no locales, libraries, subpackages, or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Approved.


Comment 2 Jose Pedro Oliveira 2006-01-09 16:24:39 UTC
Thanks. Imported and built for FC-3, FC-4, and devel.


Note You need to log in before you can comment on or make changes to this bug.